IF OBJECT_ID('GT_ENVIO_PERFIL_DEST') IS NULL 
BEGIN
	CREATE TABLE GT_ENVIO_PERFIL_DEST(
		CD_CTR_ENVIO BIGINT NOT NULL,
		CFOP VARCHAR(10),
		FINALIDADE INT,
		SIMPLES_NACIONAL CHAR(1),
		ORIGEM INT,
		SUBST_ICMS CHAR(1));
END

GO

IF OBJECT_ID('PK_GT_ENVIO_PERFIL_DEST') IS NULL 
BEGIN
	ALTER TABLE GT_ENVIO_PERFIL_DEST ADD CONSTRAINT PK_GT_ENVIO_PERFIL_DEST PRIMARY KEY (CD_CTR_ENVIO);
END

GO

IF OBJECT_ID('FK_GT_ENVIO_PERFIL_DEST_GT_ENVIO_EMITENTE') IS NULL 
BEGIN
	ALTER TABLE GT_ENVIO_PERFIL_DEST ADD CONSTRAINT FK_GT_ENVIO_PERFIL_DEST_GT_ENVIO_EMITENTE FOREIGN KEY(CD_CTR_ENVIO) REFERENCES GT_ENVIO_EMITENTE (CD_CTR);
END
